import request from '@/utils/request'

// 查询语言信息列表
export function listLanguage(query) {
  return request({
    url: '/basic/language/list',
    method: 'get',
    params: query
  })
}

// 查询语言信息详细
export function getLanguage(languageId) {
  return request({
    url: '/basic/language/' + languageId,
    method: 'get'
  })
}

// 新增语言信息
export function addLanguage(data) {
  return request({
    url: '/basic/language',
    method: 'post',
    data: data
  })
}

// 修改语言信息
export function updateLanguage(data) {
  return request({
    url: '/basic/language',
    method: 'put',
    data: data
  })
}

// 删除语言信息
export function delLanguage(languageId) {
  return request({
    url: '/basic/language/' + languageId,
    method: 'delete'
  })
}
